org.bouncycastle.bcpg

## Class SignatureSubpacketInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.bouncycastle.bcpg.SignatureSubpacketInputStream

All Implemented Interfaces:
  java.io.Closeable, SignatureSubpacketTags

    public class SignatureSubpacketInputStream
    extends java.io.InputStream
    implements SignatureSubpacketTags

reader for signature sub-packets

### Field Summary

### Fields inherited from interface org.bouncycastle.bcpg.SignatureSubpacketTags

`CREATION_TIME, EMBEDDED_SIGNATURE, EXPIRE_TIME, EXPORTABLE, FEATURES, ISSUER_KEY_ID, KEY_EXPIRE_TIME, KEY_FLAGS, KEY_SERVER_PREFS, NOTATION_DATA, PLACEHOLDER, POLICY_URL, PREFERRED_COMP_ALGS, PREFERRED_HASH_ALGS, PREFERRED_KEY_SERV, PREFERRED_SYM_ALGS, PRIMARY_USER_ID, REG_EXP, REVOCABLE, REVOCATION_KEY, REVOCATION_REASON, SIGNATURE_TARGET, SIGNER_USER_ID, TRUST_SIG`

### Constructor Summary

Constructors
Constructor and Description
`SignatureSubpacketInputStream(java.io.InputStream in)`

### Method Summary

Methods
`int` `available()`
`int` `read()`
`SignatureSubpacket` `readPacket()`

### Methods inherited from class java.io.InputStream

`close, mark, markSupported, read, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SignatureSubpacketInputStream

    public SignatureSubpacketInputStream(java.io.InputStream in)

### Method Detail

#### available

    public int available()
                  throws java.io.IOException

Overrides:
  `available` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### readPacket

    public SignatureSubpacket readPacket()
                                  throws java.io.IOException

Throws:
  `java.io.IOException`